package modelo;
// Generated 18 ene. 2021 17:26:16 by Hibernate Tools 5.4.18.Final

import java.util.HashSet;
import java.util.Set;

/**
 * Articulo generated by hbm2java
 */
public class Articulo implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer id;
	private Grupo grupo;
	private String nombre;
	private float precio;
	private String codigo;
	private int stock;
	private Set<Linfactura> linfacturas = new HashSet<Linfactura>(0);

	public Articulo() {
	}

	public Articulo(Grupo grupo, String nombre, float precio, String codigo, int stock) {
		this.grupo = grupo;
		this.nombre = nombre;
		this.precio = precio;
		this.codigo = codigo;
		this.stock = stock;
	}

	public Articulo(Grupo grupo, String nombre, float precio, String codigo, int stock, Set<Linfactura> linfacturas) {
		this.grupo = grupo;
		this.nombre = nombre;
		this.precio = precio;
		this.codigo = codigo;
		this.stock = stock;
		this.linfacturas = linfacturas;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Grupo getGrupo() {
		return this.grupo;
	}

	public void setGrupo(Grupo grupo) {
		this.grupo = grupo;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public float getPrecio() {
		return this.precio;
	}

	public void setPrecio(float precio) {
		this.precio = precio;
	}

	public String getCodigo() {
		return this.codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public int getStock() {
		return this.stock;
	}

	public void setStock(int stock) {
		this.stock = stock;
	}

	public Set<Linfactura> getLinfacturas() {
		return this.linfacturas;
	}

	public void setLinfacturas(Set<Linfactura> linfacturas) {
		this.linfacturas = linfacturas;
	}

}
